(function (Drupal, once, drupalSettings) {
  Drupal.behaviors.query_auth_params = {
    attach: function (context, drupalSettings) {
      let links = context.querySelectorAll("a");
      links.forEach(addProtectorParam);
    },
  };
})(Drupal, once);


function addProtectorParam(link) {

  if (link.href && drupalSettings.hasOwnProperty("query_auth_params")) {
    console.log(link.href);
    console.log(drupalSettings.query_auth_params);
    let url = new URL(link.href);
    let param_name = drupalSettings.query_auth_params.param_name;
    let param_value = drupalSettings.query_auth_params.param_value;
    let search_params = url.searchParams;
    if (!search_params.hasOwnProperty(param_name)) {
      search_params.set(param_name, param_value);
      let new_url = url.toString();
      console.log(new_url);
      link.href = new_url;
    }
  }
}
